Subject: Re: [Emu] I-D Action: draft-ietf-emu-rfc5448bis-00.txt

From: Jari Arkko <[email-masked]>
Date: Sun, 1 Jul 2018 15:41:21 +0300

Thanks for your review and suggestions, John.

> - I think the document still need to have the first-page header "Updates: 4187". My understanding of Obsoletes is that it replaces the older document and that the new document can be used alone without reference to the older document.
> 
> - Section 1 "is an update to RFC 5448."
> I think the word update is a bit confusing as the documents obsoletes RFC 5448.

Yes. Fixed in my working group (to be submitted as -01 before the deadlines).

> - "2008 version" and "5G version", I think it is better to talk about Releases here, i.e. Release 8 and 15. Also "that reference"?. Suggestion:
> 
> "RFC 5448 referred to the Release 8 version of [TS-3GPP.24.302] and this update	 refers to the the first 5G version, Release 15.”

Yes. Your suggestion works for me.

> - "reaching their final Release 15 status"
> What is meant with final here? 3GPP are stable at some point, but the specifications in a release are never final….

It is a bit fuzzy given the differences in publication styles. I changed the wording to:

Editor's Note: The publication of this RFC depends on its normative references [TS-3GPP.24.302] and [TS-3GPP.33.501] reaching a stable status for Release 15, as indicated by 3GPP. This is expected to happen shortly.

> - Section 2 should follow RFC 8174 and say:
> 
>    "The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL
>     NOT", "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED",
>     "MAY", and "OPTIONAL" in this document are to be interpreted as
>     described in BCP 14 [RFC2119] [RFC8174] when, and only when, they
>     appear in all capitals, as shown here."
> 
> - RFC 5226 has been obsoleted by RFC 8126
> 
> - [FIPS.180-2.2002] has been superseeded by FIPS 180-4

Yes. I have changed these, and pointed out the change in the “Changes from RFC 5448” section.

> - As 23.501, 24.302, and 33.501 points to the Release 15 version, I think all the other 3GPP specifications 33.102, 33.402, etc. should refer to Rel-15 as well. The technical specifications in a Release are meant to be used together. 

Ok.

> - "[FIPS.180-1.1995]", this reference is not needed, SHA-1 is also defined (without changes) in FIPS 180-2, 180-3, and 180-4

Ack.

> - The third column in the table in Section 8.3 is not aligned.

Fixed.

Jari